# collada.camera.BoundPerspectiveCamera

class collada.camera.BoundPerspectiveCamera(cam, matrix)

  Perspective camera bound to a scene with a transform. This gets created when a camera is instantiated in a scene. Do not create this manually.

  __init__(cam, matrix)

  Methods

  `__init__`(cam, matrix) |

  Attributes

  `xfov` | Horizontal field of view, in degrees
  `yfov` | Vertical field of view, in degrees
  `aspect_ratio` | Aspect ratio of the field of view
  `znear` | Distance to the near clipping plane
  `zfar` | Distance to the far clipping plane
  `matrix` | The matrix bound to
  `position` | The position of the camera
  `direction` | The direction the camera is facing
  `up` | The up vector of the camera
  `original` | Original `collada.camera.PerspectiveCamera` object this is bound to.